Bug 490224 - rhcs80alpha - correct path to monitor.template location
Summary: rhcs80alpha - correct path to monitor.template location
Status: ON_QA
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Certificate Manager (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Christina Fu
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 443788
TreeView+ depends on / blocked
 
Reported: 2009-03-13 21:31 UTC by Marc Sauton
Modified: 2015-01-05 00:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (3.23 KB, patch)
2009-04-14 21:46 UTC, Andrew Wnuk
no flags Details | Diff

Description Marc Sauton 2009-03-13 21:31:11 UTC
browsing to the monitor url returns error on missing template file:

in a browser, agent interface:
https://<somehost>:<agentport>/ca/agent/ca/monitor

"
Problem Processing Your Request
 

The Certificate Manager encountered an unexpected error while processing your request. The following is a detailed message of the error that occurred.

    Error encountered while loading output template.

Please consult your local administrator for further assistance. The Certificate System logs may provide further information. 
"

/var/lib/pki-ca/webapps/ca/WEB-INF/web.xml 
had config for the caMonitor servlet

the expected files have the following path:
/usr/share/pki/ca-ui/webapps/ca/agent/ca/monitor.template
/usr/share/pki/kra-ui/webapps/kra/agent/kra/monitor.template
/var/lib/pki-kra/webapps/kra/agent/kra/monitor.template
/var/lib/pki-ca/webapps/ca/agent/ca/monitor.template

debug
no exceptions, just some "normal" entries

catalina.out
Mar 13, 2009 1:25:17 PM org.apache.catalina.core.ApplicationContext log
INFO: caMonitor: Error encountered while loading output template.

system log file:

10938.http-9443-Processor23 - [13/Mar/2009:13:19:04 PDT] [3] [20] CMSgateway:Could not load template /var/lib/pki-ca/webapps/ca/ca/monitor.template error java.io.FileNotFoundException: /var/lib/
pki-ca/webapps/ca/ca/monitor.template (No such file or directory).

Comment 1 Marc Sauton 2009-03-13 21:55:45 UTC
forgot to indicate the following was used:

baseurl=http://mickey.dsdev.sjc.redhat.com/repos/pki/8.0/devel/RHEL5/devel_x86_64/x86_64/

baseurl=http://mickey.dsdev.sjc.redhat.com/repos/pki/8.0/devel/RHEL5/devel_x86_64/noarch/

pki-selinux-8.0.0-3.alpha
redhat-pki-ca-ui-8.0.0-6.alpha
pki-common-8.0.0-9.alpha
pki-tps-8.0.0-14.alpha
pki-util-8.0.0-9.alpha
pki-kra-8.0.0-11.alpha
pki-setup-8.0.0-9.alpha
redhat-pki-kra-ui-8.0.0-5.alpha
pki-java-tools-8.0.0-10.alpha
redhat-pki-ra-ui-8.0.0-8.alpha
pki-ca-8.0.0-11.alpha
redhat-pki-ocsp-ui-8.0.0-5.alpha
redhat-pki-common-ui-8.0.0-10.alpha
pki-ocsp-8.0.0-11.alpha
pki-ra-8.0.0-13.alpha
pki-native-tools-8.0.0-9.alpha
pki-tks-8.0.0-11.alpha
redhat-pki-tps-ui-8.0.0-11.alpha
redhat-pki-tks-ui-8.0.0-4.alpha

Comment 2 Andrew Wnuk 2009-04-14 21:46:04 UTC
Created attachment 339588 [details]
proposed fix

Comment 3 Matthew Harmsen 2009-04-14 22:31:08 UTC
attachment (id=339588) +mharmsen

Comment 4 Andrew Wnuk 2009-04-14 22:36:39 UTC
svn commit pki/dogtag/common/pki-common.spec
Sending        pki/dogtag/common/pki-common.spec
Transmitting file data .
Committed revision 386.

svn commit pki/dogtag/ca/pki-ca.spec                         
Sending        pki/dogtag/ca/pki-ca.spec
Transmitting file data .
Committed revision 387.

svn commit pki/base/ca/shared/webapps/ca/WEB-INF/web.xml                          
Sending        pki/base/ca/shared/webapps/ca/WEB-INF/web.xml
Transmitting file data .
Committed revision 388.

svn commit pki/base/common/src/com/netscape/cms/servlet/cert/Monitor.java                          
Sending        pki/base/common/src/com/netscape/cms/servlet/cert/Monitor.java
Transmitting file data .
Committed revision 389.


Note You need to log in before you can comment on or make changes to this bug.